Create or upsert contact
POST
/api/v1/projects/{projectId}/contacts
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body required
application/jsonAny of:
Option 1
Option 2
Option 3
Responses
200
Existing contact updated
No response body
201
Contact created
400
At least email, name, or external_id is required
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/contacts' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com", "name": "string", "phone": "string", "company": null, "job_title": null, "external_id": "string", "metadata": {}}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/contacts', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "email": "user@example.com", "name": "string", "phone": "string", "company": null, "job_title": null, "external_id": "string", "metadata": {} })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/contacts', headers=headers, json={ "email": "user@example.com", "name": "string", "phone": "string", "company": null, "job_title": null, "external_id": "string", "metadata": {}})print(response.json())
API Playground
Try this endpoint
POST
/api/v1/projects/{projectId}/contacts